@echo off

:: Please adapt following pathes to your environment

set ANDROID_HOME=C:\AndroidSdk
set JAVA_HOME=C:\Program Files\Java\jdk-17
set ANDROID_NDK_HOME=C:\AndroidSdk\ndk-bundle
set CMAKE_PACKAGE=3.10.2.4988404


::----------------------------------------------------------------------------------
:: No adaptations should be needed below this line


set Title=Embedded Wizard Build Environment for %PlatformName% V13.03.00.00
title %Title%

echo *******************************************************************************
echo * Welcome to %Title%
echo *******************************************************************************
echo.


IF DEFINED BuildInitialized GOTO run

:: set the path to Android tools
set PATH=%ANDROID_HOME%\cmdline-tools\bin;%ANDROID_HOME%\platform-tools;%PATH%

:: jdk path
set PATH=%JAVA_HOME%\bin;%PATH%

:: cmake path
set PATH=%ANDROID_HOME%\cmake\%CMAKE_PACKAGE%\bin;%PATH%

set BuildInitialized=1


:run

:: do some checks
echo.

:run


if not exist "%JAVA_HOME%\bin\java.exe" (
  echo.
  echo Java Development Kit [JDK14] not found on path:
  echo "%JAVA_HOME%".
  echo Please check your JDK 14 installation or
  echo adapt JAVA_HOME in 'devenv.cmd'.
  echo.
  echo JDK 14 can be downloaded from:
  echo https://www.oracle.com/technetwork/java/javase/downloads/index.html
  echo.
  pause
  exit
)

if not exist "%ANDROID_HOME%\cmdline-tools" (
  echo.
  echo Android SDK commandline tools not found on path:
  echo %ANDROID_HOME%\cmdline-tools.
  echo Please check your Android SDK tools installation or
  echo adapt ANDROID_HOME in 'devenv.cmd'.
  echo.
  echo Android SDK commandline tools can be downloaded from:
  echo https://developer.android.com/studio/#downloads
  echo [sdk-tools-windows-xxxxx.zip]
  echo.
  pause
  exit
)

setlocal EnableDelayedExpansion

if not exist "AndroidSdkInstallDone" (
  echo.
  echo Some Android SDK components have to be installed ...
  pause
  call :downloadPackage "platforms;android-14"
  call :downloadPackage "build-tools;28.0.3"
  call :downloadPackage "platform-tools"
  call :downloadPackage "cmake;%CMAKE_PACKAGE%"
  call :downloadPackage "ndk-bundle"
  call :downloadPackage "extras;google;usb_driver extras;m2repository;com;android;support;constraint;constraint-layout;1.0.2"
  echo.
  echo Installation of Android SDK components done.
  echo.
  echo Some licences have to be confirmed.
  pause
  cmd /C sdkmanager --licenses --sdk_root=%ANDROID_HOME%
  echo "done" > AndroidSdkInstallDone
  echo.
  echo SDK installation completed!
  pause
)

endlocal

echo.
echo All checks are passed!

cd Application\Project
call help.cmd


exit /b 0


:downloadPackage
  call sdkmanager %~1 --sdk_root=%ANDROID_HOME%
  if "!ERRORLEVEL!" == "1" goto fail

  exit /b 0


:fail
echo.
echo ERROR occured during download of Android SDK components!
echo.
pause
exit 1