/*******************************************************************************
*
* E M B E D D E D   W I Z A R D   P R O J E C T
*
*                                                Copyright (c) TARA Systems GmbH
*                                    written by Paul Banach and Manfred Schweyer
*
********************************************************************************
*
* This software is delivered "as is" and shows the usage of other software
* components. It is provided as an example software which is intended to be
* modified and extended according to particular requirements.
*
* TARA Systems hereby disclaims all warranties and conditions with regard to the
* software, including all implied warranties and conditions of merchantability
* and non-infringement of any third party IPR or other rights which may result
* from the use or the inability to use the software.
*
********************************************************************************
*
* DESCRIPTION:
*   This file is part of the interface (glue layer) between an Embedded Wizard
*   generated UI application and the graphics subsystem.
*
*   This template is responsible to access the grafics subsystem within an
*   embedded Linux environment. The display is accessed by using EGL via the
*   graphics subsystem (e.g. Android, DRM, Android or fbdev).
*
*   Important: This file is intended to be used as a template. Please adapt the
*   implementation and declarations according your particular hardware.
*
*******************************************************************************/

#ifndef GFX_SYSTEM_H
#define GFX_SYSTEM_H


#ifdef __cplusplus
  extern "C"
  {
#endif


#define NO_OF_FINGERS_ANDROID 10

/*******************************************************************************
* FUNCTION:
*   AndroidGetNaitveWindow
*
* DESCRIPTION:
*   The function AndroidGetNaitveDisplay returns the native Android window used
*   for EGL initialization.
*
* ARGUMENTS:
*   None
*
* RETURN VALUE:
*   Returns the native window.
*
*******************************************************************************/
void* AndroidGetNaitveWindow
(
  void
);


/*******************************************************************************
* FUNCTION:
*   AndroidGetTouchState
*
* DESCRIPTION:
*   The function AndroidGetTouchState returns the current touch state and the
*   touch position.
*
* ARGUMENTS:
*   aFinger  - Number of finger to return the data.
*   aTouchX  - Pointer to return touch position in X direction.
*   aTouchY  - Pointer to return touch position in Y direction.
*
* RETURN VALUE:
*   Returns 1 if currently touched, 0 otherwise.
*
*******************************************************************************/
int AndroidGetTouchState
(
  int                         aFinger,
  int*                        aTouchX,
  int*                        aTouchY
);


#ifdef __cplusplus
  }
#endif

#endif /* GFX_SYSTEM_H */


/* msy */
